Bug 1336477 - License link is not valid
Summary: License link is not valid
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-16 15:07 UTC by Parag Nemade
Modified: 2016-07-20 23:49 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-20 23:49:50 UTC


Attachments (Terms of Use)
license link page (41.29 KB, image/png)
2016-05-16 15:07 UTC, Parag Nemade
no flags Details

Description Parag Nemade 2016-05-16 15:07:49 UTC
Created attachment 1157996 [details]
license link page

Description of problem:

I am following steps given on https://fedoraproject.org/wiki/QA:Testcase_Workstation_Graphical_Upgrade where I started downloading new update. There I see "Installed(1)" tab which was giving overview of this update getting downloaded. When I tried to find more information about this update. I got the information as attached here. When I clicked on LicenseRef-free hyperlink, I found it tried to open http://spdx.org/licenses/LicenseRef-free which is not opening as it does not exists.

Should this be directed to some useful link.

Version-Release number of selected component (if applicable):
gnome-software on f23

How reproducible:


Steps to Reproduce:
1. start the download of update as per given on https://fedoraproject.org/wiki/QA:Testcase_Workstation_Graphical_Upgrade
2. Observe second "Installed(1)" tab
3. Click on first row "Fedora"
4. Check License

Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2016-05-16 19:04:58 UTC
It is a bug that the downloading os upgrade appears in the installed list. It is not meant to be there at all.

Comment 2 Matthias Clasen 2016-05-31 14:10:08 UTC
I think this was addressed by nbot showing the os upgrade in the installed list.

Comment 3 Fedora Update System 2016-06-03 09:34:22 UTC
PackageKit-1.1.1-2.fc23 appstream-data-23-11.fc23 fwupd-0.7.1-1.fc23 gnome-software-3.20.3-1.fc23.1 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.14-1.fc23 libgusb-0.2.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 4 Fedora Update System 2016-06-05 03:58:54 UTC
PackageKit-1.1.1-2.fc23, appstream-data-23-11.fc23, fwupd-0.7.1-1.fc23, gnome-software-3.20.3-1.fc23.1, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.14-1.fc23, libgusb-0.2.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 5 Kamil Páral 2016-06-06 11:49:02 UTC
(In reply to Fedora Update System from comment #4)
> PackageKit-1.1.1-2.fc23, appstream-data-23-11.fc23, fwupd-0.7.1-1.fc23,
> gnome-software-3.20.3-1.fc23.1, json-glib-1.2.0-1.fc23,
> libappstream-glib-0.5.14-1.fc23, libgusb-0.2.9-1.fc23 has been pushed to the
> Fedora 23 testing repository. If problems still persist, please make note of
> it in this bug report.

The upgrade download is no longer visible in the Installed tab after this update.

Comment 6 Fedora Update System 2016-07-12 19:14:07 UTC
PackageKit-1.1.2-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-1.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 7 Fedora Update System 2016-07-14 01:24:54 UTC
PackageKit-1.1.2-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-1.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 8 Fedora Update System 2016-07-14 13:27:41 UTC
PackageKit-1.1.3-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-2.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 9 Fedora Update System 2016-07-15 17:52:22 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 10 Fedora Update System 2016-07-20 23:49:24 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.